"""Handles secrets for the `crypto_seller` system."""

from secret_loader import SecretLoader

__all__ = ['KUCOIN_KEY', 'KUCOIN_SECRET', 'KUCOIN_PASS']

secret_loader = SecretLoader()

KUCOIN_KEY = secret_loader.load_or_fail('KUCOIN_KEY')
KUCOIN_SECRET = secret_loader.load_or_fail('KUCOIN_SECRET')
KUCOIN_PASS = secret_loader.load_or_fail('KUCOIN_PASS')

del secret_loader
